<template>
	<q-list bordered separator style="margin: 0 2%">
		<q-item class="bg-primary" v-for="dep in departments" :key="dep.id" clickable>
			<q-item-section
				class="text-center"
				@click="browseTo($t('departments.'+dep.id))"
			>{{$t('departments.'+dep.id)}}</q-item-section>
		</q-item>
	</q-list>
</template>

<script>
	export default {
		// name: 'ComponentName',
		props: {
			departments: {
				type: Array,
				required: true
			}
		},
		data() {
			return {
				lang: this.$i18n.t("language.lang")
			};
		},
		methods: {
			browseTo(depId) {
				this.$emit("browseTo", depId);
			}
		},
		created() {}
	};
</script>
